QGIS Application - Bug report #17938
Crash when trying to load garbage data as Raster
2018-01-23 03:22 PM - Johannes Kroeger

Status: Closed

Priority: High

Assignee: Alessandro Pasotti

Category: Unknown

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corruptsdata: Copied to github as #: 25834
Description

1. Prepare garbage data

$ dd if=/dev/urandom of=random bs=1M count=1

1+0 records in

1+0 records out

1048576 bytes (1.0 MB, 1.0 MiB) copied, 0.0470943 s, 22.3 MB/s

2. Load QGIS (do not pass the file as argument! see #17937 for that (no crash))

3. Use the Data Source Manager to load the random file, once you click add ->

4. QGIS crashes, see the attached log and gdb backtrace

64bit Archlinux with:

QGIS version 2.99.0-Master

QGIS code revision f2273c6a11

Compiled against Qt 5.10.0

Running against Qt 5.10.0

Compiled against GDAL/OGR 2.2.3
Running against GDAL/OGR 2.2.3
Compiled against GEOS 3.6.2-CAPI-1.10.2
Running against GEOS 3.6.2-CAPI-1.10.2 4d2925d6
PostgreSQL Client Version 10.1

SpatiaLite Version 4.3.0a

QWT Version 6.1.3

PROJ.4 Version 493

QScintilla2 Version 2.10.2

This copy of QGIS writes debugging output.

Associated revisions

Revision 5812934c - 2018-01-24 09:44 AM - Alessandro Pasotti

[budfix] Fix crash on bad raster layers, fixes #17938

History

#1 - 2018-01-24 09:37 AM - Alessandro Pasotti

2025-12-15

12




- Assignee set to Alessandro Pasotti

#2 - 2018-01-24 09:44 AM - Anonymous
- % Done changed from 0 to 100
- Status changed from Open to Closed

Applied in changeset commit:qgis|5812934c69¢c859723c665ae6bd38bb25d57a3eea.

#3 - 2018-02-21 09:46 PM - Giovanni Manghi
- Resolution set to fixed/implemented

Files

std and bt.log 8.69 KB
